Skip to content

Retrieve an Authenticator

Request

Identity Engine
OAuth 2.0 scope:
  • okta.myAccount.authenticators.read

Retrieves an authenticator by authenticatorId

Path
authenticatorIdstringrequired

id of the authenticator

Example:aut9gnvcjUHIWb37J0g4
Query
expandstring

Includes associated authenticator details in the _embedded attribute

Enum ValueDescription
enrollments

Returns the list of authenticator enrollments associated with the authenticator

requirements

Returns the list of password requirements associated with the authenticator

Example:expand=enrollments
Examples:
Expand to include authenticator enrollment details
expand=enrollments
Expand to include password requirements
expand=requirements
Headers
Acceptstringrequired

Specifies the API version. Current version: 1.0.0

Example:application/json; okta-version=1.0.0
GET
/idp/myaccount/authenticators/{authenticatorId}
curl -i -X GET \
  'https://subdomain.okta.com/idp/myaccount/authenticators/aut9gnvcjUHIWb37J0g4?expand=enrollments' \
  -H 'Accept: application/json; okta-version=1.0.0'

Responses

Authenticator

Bodyapplication/json
enrollablebooleanread-only

Whether the authenticator allows new enrollments

idstringread-only

The unique identifier of the authenticator

keystring(AuthenticatorKey)read-only

An Okta server key that identifies the authenticator

Enum:"custom_app""custom_otp""duo""external_idp""google_otp""okta_email""okta_password""okta_verify""onprem_mfa""phone_number"
namestringread-only

The display name of the authenticator

_embeddedobjectread-only
Response
{ "id": "aut3jiaiZukD4Ta0Z0g5", "key": "okta_password", "name": "Okta password", "enrollable": true, "_links": { "self": {}, "enroll": {}, "enrollments": {}, "requirements": {} } }